<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import Game from "@/Components/Games/Game.vue";
import {provide,reactive} from "vue";
import {UseAppStore} from "@/Stores/AppStore";
import {UseSortingPrice} from "@/Stores/SortingPriceStore";
import {Head} from "@inertiajs/vue3";

const store = UseSortingPrice();
store.is = false;

const appStore = UseAppStore();

appStore.sortMinMaxPriceHeader = false;

const props = defineProps({
    'games':Object,
    'tags':Object,
    'category':Object,
});

provide('games',reactive(props))

</script>

<template>
    <AuthenticatedLayout marketTopLeftTitle="Игры" >
        <Head title="Маркет"/>
<!--        <GameFilter :tags="tags"/>-->
        <div class="marketBottom__bigMarket marketBottom__right">
            <Game  v-for="game in games.data" :category="category" :game="game" :key="game.id" />
        </div>
    </AuthenticatedLayout>
</template>
